import request from '@/axios'
import { REQUEST_BASE } from '@/constants'
import { searchMoney, searchWithdrawal } from './types'
export const getMoneyLog = (params: searchMoney): Promise<IResponse> => {
  return request.get({ url: `${REQUEST_BASE}/finance/money/log`, params })
}
export const getBrokerageLog = (params: searchMoney): Promise<IResponse> => {
  return request.get({ url: `${REQUEST_BASE}/finance/brokerage/log`, params })
}
export const getExtract = (params: searchWithdrawal): Promise<IResponse> => {
  return request.get({ url: `${REQUEST_BASE}/finance/extract`, params })
}
